Adding sonar job for rtmgr
Change-Id: Id29012761b2b152d26d5f8bf8e2cacf7a2da0ea7
Signed-off-by: wahidw <abdulwahid.w@nokia.com>
diff --git a/jjb/ric-plt-rtmgr/prescan-rtmgr-ubuntu.sh b/jjb/ric-plt-rtmgr/prescan-rtmgr-ubuntu.sh
new file mode 100644
index 0000000..2ed1177
--- /dev/null
+++ b/jjb/ric-plt-rtmgr/prescan-rtmgr-ubuntu.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+##############################################################################
+#
+# Copyright (c) 2020 AT&T Intellectual Property.
+# Copyright (c) 2019 Nokia.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+##############################################################################
+
+echo "--> prescan-rtmgr-ubuntu.sh"
+
+set -ex
+
+# Assumes ubuntu - uses apt-get
+sudo apt-get update
+
+# build script execution
+bash ./build-rtmgr-ubuntu.sh
+
+echo "--> prescan-rtmgr-ubuntu.sh ends"
diff --git a/jjb/ric-plt-rtmgr/ric-plt-rtmgr.yaml b/jjb/ric-plt-rtmgr/ric-plt-rtmgr.yaml
index 2241bcd..30fab68 100644
--- a/jjb/ric-plt-rtmgr/ric-plt-rtmgr.yaml
+++ b/jjb/ric-plt-rtmgr/ric-plt-rtmgr.yaml
@@ -47,3 +47,34 @@
build-node: centos7-docker-2c-8g
jobs:
- '{project-name}-gerrit-release-jobs'
+
+- project:
+ <<: *rtmgr_docker_common
+ name: ric-plt-rtmgr-sonar
+ # prescan script requires ubuntu
+ # golang is only on docker-enabled nodes
+ build-node: ubuntu1804-docker-4c-4g
+ sonar-prescan-script: !include-raw-escape: prescan-rtmgr-ubuntu.sh
+ sonar-project-file: ""
+ # use sonarcloud values from defaults.yaml
+ sonar-properties: |
+ # Required metadata
+ sonar.login={sonarcloud_api_token}
+ sonar.projectKey={sonarcloud_project_organization}_{project-name}
+ sonar.projectName={project-name}
+ sonar.organization={sonarcloud_project_organization}
+ # Encoding
+ sonar.build.sourceEncoding=UTF-8
+ # Language
+ sonar.language=go
+ # Source
+ sonar.sources=.
+ # Unit tests
+ sonar.go.coverage.reportPaths=./coverage.txt
+ # Inclusions
+ sonar.inclusions=pkg/**/**.go
+ # Exclusions
+ sonar.exclusions=cmd/**.go,pkg/stub/**.go,pkg/**/**_test.go
+ jobs:
+ - gerrit-sonar-prescan-script
+